=== debian/changelog ===
deepin-diskmanager (1.3.3-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Fri, 07 Jan 2022 10:26:35 +0800

deepin-diskmanager (1.3.3) stable; urgency=low

  * 磁盘管理器V1.3第三次发版
  * 110108 磁盘不支持的格式类型整盘右侧容量信息展示异常
  * 110025 切换系统字号使用软件擦除界面未显示完整
  * 110016 空闲分区擦除无法结束加载动画，未成功擦除
  * 109947 磁盘管理器深色模式擦除界面字体颜色不符合整体风格
  * 109925 分区格式为非fat32的分区擦除后分区格式为fat32,往该分区中创建文件无权限
  * 108589 【桌面专业版1050】【预发布版本第一轮集成测试】
   【磁盘管理器】维语环境下，界面显示重叠

 -- yuandandan <yuandandan@uniontech.com>  Thu, 6 Jan 2021 9:50:16 +0800

deepin-diskmanager (1.3.2) stable; urgency=low

  * 磁盘管理器V1.3第二次发版
  * 109061 【UI】【正在擦除界面的关闭按钮显示问题】
  * 109049 【UI】【选择安全和高级选项之后，弹窗里的标题和内容位置有跳动】
  * 109039 【UI】【擦除弹窗的尺寸问题】
  * 109037 本地1T硬盘剩余容量全部创建，创建失败
  * 109015 鼠标查看整盘右侧空间容量横框信息，移除鼠标时，分区信息仍显示在横框上面
  * 109227 有分区格式类型的分区高级、安全擦除提交内核失败
  * 109209 机械硬盘空闲分区擦除提示提交内核失败
  * 109133 外设固态硬盘识别介质类型错误，识别为机械硬盘
  * 109090 插拔外设硬盘，主页面未实时刷新

 -- yuandandan <yuandandan@uniontech.com>  Tue, 28 Dec 2021 16:55:16 +0800

deepin-diskmanager (1.3.1) stable; urgency=low

  * 新功能第一次发版
  * 新增擦除功能

 -- yuandandan <yuandandan@uniontech.com>  Mon, 20 Dec 2021 14:35:16 +0800

deepin-diskmanager (1.2.26) stable; urgency=low

  * 1040第二十六次发版
  * 101889 【CPM2021110900040】【KelvinV-W5851 5.7.0.6(C233) + BIOS 1.00.30+ EC 1.30】
    【HUAWEI】【UOS】【L2】【存储】【VN2】将sdd4删除并创建一个ntfs 15G的文件分区，
    向内复制10G文件，将文件彻底删除后再往内复制10G文件提示分区已满，
    再次尝试删除文件，提示文件非空。（一般+必现+常用功能）

 -- yuandandan <yuandandan@uniontech.com>  Fri, 26 Nov 2021 16:35:16 +0800

deepin-diskmanager (1.2.25) stable; urgency=low

  * 1040第二十五次发版
  * 添加安全加固编译参数

 -- yuandandan <yuandandan@uniontech.com>  Tue, 16 Nov 2021 17:35:16 +0800

deepin-diskmanager (1.2.24) stable; urgency=low

  * 1040第二十四次发版
  * 修改rpm文件

 -- yuandandan <yuandandan@uniontech.com>  Thu, 4 Nov 2021 19:35:16 +0800

deepin-diskmanager (1.2.23) stable; urgency=low

  * 1040第二十三次发版
  * 101121 挂载主目录路径下无文件时，重复挂载该挂载点，无弹窗提示
  * 100208 龙芯5000-启动磁盘管理器，输入认证之后，出现明显卡顿
  * 99212 磁盘标题栏退出后查看进程未退出

 -- yuandandan <yuandandan@uniontech.com>  Thu, 4 Nov 2021 15:35:16 +0800

deepin-diskmanager (1.2.22) stable; urgency=low

  * 1040第二十二次发版
  * 89409 【服务器企业版1040】【x86_64】磁盘管理器点击卸载HDD失败，重启后进不了系统

 -- yuandandan <yuandandan@uniontech.com>  Mon, 1 Nov 2021 13:35:16 +0800

deepin-diskmanager (1.2.21) stable; urgency=low

  * 1040第二十一次发版
  * 95600 通过命令打开磁盘管理器，不需要登录就能进入应用界面
  * 89885 KLU-启动磁盘管理器查看系统监视器磁盘，cpu/内存均无浮动情况

 -- yuandandan <yuandandan@uniontech.com>  Thu, 23 Sep 2021 11:35:16 +0800

deepin-diskmanager (1.2.20) stable; urgency=low

  * 1040第二十次发版
  * 两个中文字符的按钮，字符中间添加空格

 -- yuandandan <yuandandan@uniontech.com>  Tue, 7 Sep 2021 15:35:16 +0800

deepin-diskmanager (1.2.19) stable; urgency=low

  * 1040第十九次发版
  * 91672 终端root用户启动磁盘应用图标异常
  * 90263 打开外设硬盘的二级界面,拔出外设硬盘时，二级界面依然显示在界面

 -- yuandandan <yuandandan@uniontech.com>  Wed, 18 Aug 2021 15:35:16 +0800

deepin-diskmanager (1.2.18) stable; urgency=low

  * 1040第十八次发版
  * 88771 【CPM2021072100111】【4.19】【PanguW-WBX0A 6.7.0.7(C233) + BIOS0.13+EC 0.13 】
    【HUAWEI】【UOS】【L0】【V3整机】【整机KK】部分正在运行的应用程序不在系统监视器的应用程序列表中。
  * 86389 KLU-主菜单界面信息显示为外设硬盘分区信息时，拔出硬盘分区信息依然显示为外设硬盘的信息

 -- yuandandan <yuandandan@uniontech.com>  Mon, 2 Aug 2021 14:35:16 +0800

deepin-diskmanager (1.2.17) stable; urgency=low

  * 1040第十七次发版
  * 84939 外设硬盘坏道检测中拔除后，坏道检测界面没有退出，klu偶现闪退

 -- yuandandan <yuandandan@uniontech.com>  Mon, 5 Jul 2021 16:35:16 +0800

deepin-diskmanager (1.2.16) stable; urgency=low

  * 1040第十六次发版
  * 76576 外设硬盘坏道检测时，插入另一块外设硬盘，界面会停顿，停顿时退出重新检测，检测界面异常
  * 83171 KLU-打开二级界面后点击一级界面，二级界面窗口移动到一级窗口界面后

 -- yuandandan <yuandandan@uniontech.com>  Fri, 18 Jun 2021 16:35:16 +0800

deepin-diskmanager (1.2.15) stable; urgency=low

  * 1040第十五次发版
  * 81963 专业版1030以上从应用商店首次安装未覆盖预装的磁盘管理器版本
  * 81896 1020以上1030以下从应用商店安装磁盘管理器无法启动
  * 81881 硬盘以及分区名称过长时字符重叠以及显示不全

 -- yuandandan <yuandandan@uniontech.com>  Wed, 2 Jun 2021 15:35:16 +0800

deepin-diskmanager (1.2.14) stable; urgency=low

  * 1040第十四次发版
  * 关闭ut内存检测

 -- yuandandan <yuandandan@uniontech.com>  Fri, 28 May 2021 14:35:16 +0800

deepin-diskmanager (1.2.13) stable; urgency=low

  * 1040第十三次发版
  * 78540 欧拉版-坏道检测柱面信息获取与专业版不一致，导致检测时间变长
  * 78047 欧拉版-打开磁盘管理器关于选项，缺少log标识

 -- yuandandan <yuandandan@uniontech.com>  Wed, 19 May 2021 11:35:16 +0800

deepin-diskmanager (1.2.12) stable; urgency=low

  * 1040第十二次发版
  * 单元测试增加内存检测

 -- yuandandan <yuandandan@uniontech.com>  Wed, 12 May 2021 17:35:16 +0800

deepin-diskmanager (1.2.11) stable; urgency=low

  * 1040第十一次发版(第十次发版送测产生的bug)
  * 75351 坏道检测停止后查看柱面信息时拔除外设硬盘，柱面信息停留在界面
  * 73471 欧拉版安装磁盘管理器无法启动
  * 70244 坏道检测时鼠标在柱面范围内上下移动，移动到下方时界面会暂停检测过程

 -- yuandandan <yuandandan@uniontech.com>  Mon, 26 Apr 2021 15:35:16 +0800

deepin-diskmanager (1.2.10) stable; urgency=low

  * 1040第十次发版(第九次发版送测产生的bug)
  * 修改rpm文件
  * 69701 新建分区时先填写分区名称为4个中文后切换fat32格式，创建成功后，分区名称显示乱码
  * 66865 /dev/nvme0n1硬盘坏道检测中停止退出，页面卡顿

 -- yuandandan <yuandandan@uniontech.com>  Thu, 1 Apr 2021 17:35:16 +0800

deepin-diskmanager (1.2.9) stable; urgency=low

  * 1040第九次发版(第八次发版送测产生的bug以及UI走查反馈的问题)
  * 66764 深色 主题UI界面检查与设计图不一致
  * 66749 子 三期设计验收问题二 / 左侧的标题应该是加粗黑色字
  * 66741 子 三期设计验收问题二 / 大标题文案请统一“将对...操作”。
  * 66740 子 三期设计验收问题二 / 分区名称输入框应该与下面的下拉选框长度一致，左右对齐
  * 66739 子 三期设计验收问题二 / 退出按钮应为红色警示按钮
  * 66738 子 三期设计验收问题二 / 滑动条长度与效果图中不一致
  * 66737 子 三期设计验收问题二 / 标题字体样式之间有区别
  * 66736 子 三期设计验收问题二 / 关于字体样式变动
  * 66735 子 三期设计验收问题二 / 调节像素变动

 -- yuandandan <yuandandan@uniontech.com>  Tue, 16 Mar 2021 16:35:16 +0800

deepin-diskmanager (1.2.8) stable; urgency=low

  * 1040第八次发版(第七次发版送测产生的bug以及UI走查反馈的问题)
  * 64327 设置系统字号为20号，磁盘管理器部分页面显示不完整
  * 65595 低版本隐藏分区，高版本无法操作
  * 65472 开启分区编辑器后启动磁盘管理器时无法启动
  * 61583 子 三期期设计产品验收记录0208 / 灰色背景框有描边，字体颜色设置错误
  * 61582 子 三期期设计产品验收记录0208 / 文字颜色使用错误，灰色背景框有描边，
    区信息与空闲空间距离太近，字体样式使用错误
  * 61581 子 三期期设计产品验收记录0208 / 图标与灰色背景左边框的间距过大，文案不一致，
    标题字字体粗细和大小需要修改，空闲空间前面的灰色方块没有了，滑动条长度太短，输入框过长，
  * 61580 子 三期期设计产品验收记录0208 / 这条线不对，左右两边不能有间距，
    灰色背景与表格背景框的边缘应有间隔
  * 61579 子 三期期设计产品验收记录0208 / 文字过大，灰色背景有描边，
    序列号与用户容量字号粗细和大小都是不一致的
  * 61578 子 三期期设计产品验收记录0208 / 图标与背景左边框的距离过大，

