=== debian/control ===
Source: deepin-diskmanager
Section: tools
Priority: optional
Maintainer: deepin <packages@deepin.com>
Build-Depends: debhelper (>= 11), cmake, pkg-config, qttools5-dev, qtbase5-dev, libx11-dev, libdtkwidget-dev,qttools5-dev-tools,qtbase5-private-dev, libparted-dev,libparted-fs-resize0, libdframeworkdbus-dev, libpolkit-qt5-1-dev, libgtest-dev, libgmock-dev
Standards-Version: 4.1.3

Package: deepin-diskmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, smartmontools
Description: Disk Utility is a disk management tool for creating, reorganizing and formatting partitions.
 Disk Utility is a disk management tool for disk.
