=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,9 @@
     utils.h
     utils.cpp
     commondef.h
+    lvmstruct.h
+    lvmstruct.cpp
+    lvmenum.h
     )
 
 add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
