=== service/CMakeLists.txt ===
--- 
+++ 
@@ -38,11 +38,12 @@
     PolkitQt5-1::Agent
 )
 
-file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp")
-file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h")
+file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp"  "./diskoperation/lvmoperator/*.cpp")
+file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h" "./diskoperation/lvmoperator/*.h")
 
 include_directories(../basestruct)
 include_directories(../log)
+include_directories(diskoperation)
 link_directories(${PROJECT_BINARY_DIR})
 
 add_executable(${PROJECT_NAME} ${ALL_SOURCES} ${ALL_HEADERS})
