=== debian/changelog ===
deepin-diskmanager (1.3.10-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Mon, 16 May 2022 10:19:24 +0800

deepin-diskmanager (1.3.10) stable; urgency=low

  * 磁盘管理器V1.3第十次发版
  * 126825 任意功能加载过程中按下ESC按键加载界面退出
  * 125617 逻辑卷存储数据后空间调整界面区间值错误，缩小后该分区为未知的文件系统
  * 125591 分区空间调整区间值显示错误

 -- yuandandan <yuandandan@uniontech.com>  Tue, 26 Apr 2022 15:43:16 +0800

deepin-diskmanager (1.3.9) stable; urgency=low

  * 磁盘管理器V1.3第九次发版
  * 126029 选中外设盘首次创建vg后左侧边栏检查与设计不符
  * 125617 逻辑卷存储数据后空间调整界面区间值错误，缩小后该分区为未知的文件系统
  * 125591 分区空间调整区间值显示错误

 -- yuandandan <yuandandan@uniontech.com>  Wed, 20 Apr 2022 10:43:16 +0800

deepin-diskmanager (1.3.8) stable; urgency=low

  * 磁盘管理器V1.3第八次发版
  * 115801 创建1024gib逻辑卷组完成后容量信息未转换为1TIB
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化
  * 122565 调整系统字体,磁盘一级页面显示异常
  * 123605 卸载逻辑卷弹窗提示与实际情况不符

 -- yuandandan <yuandandan@uniontech.com>  Wed, 13 Apr 2022 11:43:16 +0800

deepin-diskmanager (1.3.7) stable; urgency=low

  * 磁盘管理器V1.3第七次发版
  * 122565 调整系统字体,磁盘一级页面显示异常
  * 122541 创建逻辑卷后插拔磁盘后删除lv/vg失败
  * 122289 逻辑卷类型为磁盘不支持的类型（如xfs)进行空间调整功能异常
  * 122231 逻辑卷/分区空间调整界面，容量输入框没有区间值
  * 121889 卸载分区弹窗提示与实际情况不符
  * 121871 新创建的vg进行空间调整扩容时弹窗提示需要迁移数据
  * 120159 整盘创建vg,vg剩余空间只有几mib时，查看pv硬盘信息炸状态条异常
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化
  * 118951 新创建的vg进行空间调整缩小弹窗提示需要迁移数据
  * 116009 创建卷组时偶现创建失败

 -- yuandandan <yuandandan@uniontech.com>  Thu, 7 Apr 2022 12:43:16 +0800

deepin-diskmanager (1.3.6) stable; urgency=low

  * 磁盘管理器v1.3第六次发版
  * 118551 分区空间调整缩小容量时弹窗提示信息错误 	
  * 118627 VG中已有逻辑卷，删除添加到VG的磁盘弹窗提示信息异常 	
  * 109925 分区格式为非fat32的分区擦除后分区格式为fat32,往该分区中创建文件无权限 	
  * 118569 fat32格式类型无法进行分区空间调整 	
  * 118743 逻辑卷组空间调整时既有添加又有移除的操作空间调整失败 	
  * 118785 逻辑卷空间调整设置为超过可调整的最大/最小空间提示信息错误 	
  * 118791 逻辑卷格式类型为fat32时空间调整弹窗提示易用性差 	
  * 118807 新创建的逻辑卷进行无法直接进入到空间调整界面 	
  * 118951 新创建的vg进行空间调整缩小弹窗提示需要迁移数据 
  * 119081 当磁盘可用空间小于100MiB时创建卷组vg可以进入【下一步】 	
  * 119097 格式类型为Unknown擦除失败 	
  * 119303 vg空间调整时容量设置为不是4的整倍数进行空间调整时，创建完成后的vg信息无变化 	
  * 119129 逻辑卷空间调整时容量设置为不是4的整倍数进行空间缩小，确定按钮无响应 	

 -- liuwenhao <liuwenhao@uniontech.com>  Wed, 30 Mar 2022 13:09:34 +0800

deepin-diskmanager (1.3.5) stable; urgency=low

  * 磁盘管理器V1.3第五次发版
  * 添加、删除逻辑卷组VG中的物理卷
  * 删除pv
  * 磁盘分区容量缩小功能
  * 放大、缩小逻辑卷LV
  * lv挂载卸载
  * lv擦除
  * 已经添加到VG的分区，选中分区右键信息展示
  * 已经添加到VG的磁盘，选中磁盘右键信息展示
  * 逻辑卷组节点选中右侧信息展示
  * 逻辑卷节点选中右侧信息展示
  * 115945 任意选中硬盘进行硬盘健康检测软件闪退
  * 115491 创建逻辑卷组设置空间界面容量输入框汉字，特殊符号未做限制
  * 103763 软件加载过程中强制退出后重启软件登陆后闪退
  * 109227 有分区格式类型的分区高级、安全擦除提交内核失败
  * 110712 有多个空闲分区时，对其中一个空闲分区进行擦除操作，提示[提交内核失败]
  * 115653 扩展分区在创建逻辑卷组时依然显示，选中全部空间创建逻辑卷组失败
  * 115605 创建逻辑卷页面逻辑卷名称有删除标志

 -- yuandandan <yuandandan@uniontech.com>  Thu, 17 Mar 2022 10:43:16 +0800

deepin-diskmanager (1.3.4) stable; urgency=low

  * 磁盘管理器V1.3第四次发版
  * 100278 创建逻辑卷（LV）功能开发
  * 100321 创建逻辑卷组（VG）功能开发
  * 100274 删除逻辑卷组（VG）功能实现
  * 100273 删除逻辑卷（LV）功能开发
  * 100324 后端实现逻辑卷组（VG）创建功能

 -- yuandandan <yuandandan@uniontech.com>  Thu, 3 Mar 2022 14:30:16 +0800
