=== service/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 cmake_minimum_required(VERSION 3.0)
 project(deepin-diskmanager-service)
 
@@ -38,8 +39,18 @@
     PolkitQt5-1::Agent
 )
 
-file(GLOB ALL_SOURCES "*.cpp" "./diskoperation/*.cpp" "./diskoperation/filesystems/*.cpp"  "./diskoperation/lvmoperator/*.cpp")
-file(GLOB ALL_HEADERS "*.h" "./diskoperation/*.h" "./diskoperation/filesystems/*.h" "./diskoperation/lvmoperator/*.h")
+file(GLOB ALL_SOURCES
+    "*.cpp"
+    "./diskoperation/*.cpp"
+    "./diskoperation/luksoperator/*.cpp"
+    "./diskoperation/filesystems/*.cpp"
+    "./diskoperation/lvmoperator/*.cpp")
+file(GLOB ALL_HEADERS
+    "*.h"
+    "./diskoperation/*.h"
+    "./diskoperation/luksoperator/*.h"
+    "./diskoperation/filesystems/*.h"
+    "./diskoperation/lvmoperator/*.h")
 
 include_directories(../basestruct)
 include_directories(../log)
