=== debian/changelog ===
deepin-diskmanager (1.3.20-1) unstable; urgency=medium

  * update

 -- deepin <packages@deepin.com>  Thu, 17 Nov 2022 13:28:37 +0800

deepin-diskmanager (1.3.14) stable; urgency=low

  * 磁盘管理器V1.3第十四次发版
  * 142285 系统盘全盘加密操作加入vg的pv，擦除与挂载功能可以操作
  * 141695 已有分区挂载/media/，新建lv/加密lv/擦除分区/擦除加密分区均未自动挂载，提示：挂载创建文件夹失败
  * 141919 vg下有加密卷时删除vg
  * 142229 外设磁盘分区挂载后插拔磁盘，分区信息显示未被挂载

 -- yuandandan <yuandandan@uniontech.com>  Thu, 23 Jun 2022 16:43:16 +0800

deepin-diskmanager (1.3.13) stable; urgency=low

  * 磁盘管理器V1.3第十三次发版
  * 149009 优化-新建分区挂载点优化
  * 128865 LVM-系统盘全盘加密-卸载VG和LV-swap分区-lv空间调整-vg空间调整
  * 128887 优化-翻译更正
  * 134539 一次性创建多个加密分区，创建第二个加密分区时分区大小/分区名称显示为灰色字体
  * 138089 解锁成功不进行挂载分区信息未实时刷新
  * 138175 无密码提示时加密分区解锁界面有密码提示框
  * 138685 1051-20200513镜像-ext*加密分区系列使用磁盘挂载功能文管中新建文件无权限
  * 138823 新建分区挂载/tmp,/usr挂载点系统异常
  * 139057 卸载的加密逻辑卷右侧信息显示不对
  * 139189 新建加密失败时未提示“新建加密失败”的提示


 -- yuandandan <yuandandan@uniontech.com>  Wed, 15 Jun 2022 17:43:16 +0800

deepin-diskmanager (1.3.12) stable; urgency=low

  * 磁盘管理器V1.3第十二次发版
  * 128891 磁盘加密-UI变更-图标的替换
  * 128893 磁盘加密-UI变更-代码逻辑的状态判断
  * 128839 磁盘解密-加密盘卸载-业务逻辑的添加
  * 128837 磁盘解密-加密盘挂载-业务逻辑的添加
  * 128813 磁盘解密-添加有密码提示解密界面-界面的添加
  * 128815 磁盘解密-添加解密界面-界面的添加
  * 128847 LVM-加密盘创建VG
  * 136413 创建容量不符合规则的分区/加密分区，【确定】按钮未置灰
  * 135095 新建分区/卷界面复原按钮没有恢复初始设置

 -- yuandandan <yuandandan@uniontech.com>  Thu, 2 Jun 2022 17:43:16 +0800

deepin-diskmanager (1.3.11) stable; urgency=low

  * 磁盘管理器V1.3第十一次发版
  * 128825 磁盘加密-新建加密-分区
  * 128827 磁盘加密-新建加密-LV
  * 128831 磁盘加密-擦除加密-磁盘\分区
  * 128833 磁盘加密-擦除加密-LV
  * 128217 fat32分区/fat32逻辑卷使用磁盘挂载功能后重启电脑该分区/逻辑卷创建文件夹无权限

 -- yuandandan <yuandandan@uniontech.com>  Wed, 25 May 2022 10:43:16 +0800
