## deepin-diskmanager 1.3.37

=== application/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 if (NOT DEFINED VERSION)
     message(WARNING "Not defined version ,about dialog version set 1.1.0.1")
-    set(VERSION 1.3.10)
+    set(VERSION 1.3.14)
 endif ()
