=== basestruct/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
+#
+# SPDX-License-Identifier: GPL-3.0-only
+
 cmake_minimum_required(VERSION 3.0)
 project(basestruct)
 
@@ -14,18 +18,10 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 
-set(BASESTRUCT_SRCS
-    deviceinfo.h
-    deviceinfo.cpp
-    partitioninfo.h
-    partitioninfo.cpp
-    utils.h
-    utils.cpp
-    commondef.h
-    lvmstruct.h
-    lvmstruct.cpp
-    lvmenum.h
-    )
+file(GLOB BASESTRUCT_SOURCES "*.cpp")
+file(GLOB BASESTRUCT_HEADERS "*.h")
+
+set(BASESTRUCT_SRCS ${BASESTRUCT_SOURCES} ${BASESTRUCT_HEADERS} )
 
 add_library(${PROJECT_NAME} STATIC ${BASESTRUCT_SRCS})
 target_include_directories(${PROJECT_NAME} PUBLIC
