=== service/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 set(APP_RES_DIR "assets")
 set(APP_SERVICE "${APP_RES_DIR}/data/com.deepin.diskmanager.service")
+set(SYSTEMD_SERVICE "${APP_RES_DIR}/data/diskmanager-daemon.service")
 set(APP_CONFIG "${APP_RES_DIR}/data/com.deepin.diskmanager.conf")
 set(APP_EDEV_DIR "udev")
 set(APP_UDEV_FILES "${APP_EDEV_DIR}/99-diskmanager.rules")
@@ -72,6 +73,7 @@
 # Install files
 install(TARGETS ${PROJECT_NAME} DESTINATION lib/deepin-daemon/)
 install(FILES ${APP_SERVICE} DESTINATION share/dbus-1/system-services/)
+install(FILES ${SYSTEMD_SERVICE} DESTINATION /lib/systemd/system/)
 install(FILES ${APP_CONFIG} DESTINATION share/dbus-1/system.d/)
 install(PROGRAMS ${APP_USBADD_FILES} DESTINATION libexec/openconnect/)
 install(PROGRAMS ${APP_USBREMOVE_FILES} DESTINATION libexec/openconnect/)
