=== debian/changelog ===
deepin-diskmanager (1.3.37) unstable; urgency=medium

  * new tag v1.3.37
  * fix block checking issue.

 -- re2zero <yangwu@uniontech.com>  Thu, 08 Aug 2024 01:21:52 +0800

deepin-diskmanager (1.3.36) unstable; urgency=medium

  * new tag v1.3.36

 -- re2zero <yangwu@uniontech.com>  Tue, 16 Apr 2024 16:11:48 +0800

deepin-diskmanager (1.3.35) unstable; urgency=medium

  * adapt to new computer models PGUX

 -- wangrong <wangrong@uniontech.com>  Wed, 03 Apr 2024 15:11:48 +0800

deepin-diskmanager (1.3.34) stable; urgency=medium

  * adapt to new computer models PGUX-L5651

 -- wangrong <wangrong@uniontech.com>  Tue, 26 Mar 2024 13:12:41 +0800

deepin-diskmanager (1.3.33) stable; urgency=medium

  * update rules to disable service

 -- wangrong <wangrong@uniontech.com>  Tue, 05 Mar 2024 15:40:38 +0800

deepin-diskmanager (1.3.32) stable; urgency=medium

  * fix front-end startup stuck

 -- wangrong <wangrong@uniontech.com>  Fri, 19 Jan 2024 09:53:33 +0800

deepin-diskmanager (1.3.31) stable; urgency=medium

  * fix: mount as root
  * fix: UI error

 -- re2zero <yangwu@uniontech.com>  Tue, 26 Dec 2023 16:36:26 +0800

deepin-diskmanager (1.3.30) stable; urgency=medium

  * fix: 修复“ZHITAI PC005”型号名未识别的相关问题

 -- re2zero <yangwu@uniontech.com>  Wed, 18 Oct 2023 09:56:33 +0800

deepin-diskmanager (1.3.29) stable; urgency=medium

  * Fix some mountpoints are umounted.
  * Fix system services mounts are masked
  * Fix some UI issues
  * Fix fail to format with crypt on v23

 -- re2zero <yangwu@uniontech.com>  Thu, 10 Aug 2023 10:30:24 +0800

deepin-diskmanager (1.3.28) stable; urgency=medium

  * 适配W585

 -- guonafu <guonafu@uniontech.com>  Thu, 23 Feb 2023 09:58:43 +0800

deepin-diskmanager (1.3.27) stable; urgency=medium

  * 修复本机磁盘分区挂载点为空

 -- guonafu <guonafu@uniontech.com>  Thu, 23 Feb 2023 09:58:43 +0800
 
 deepin-diskmanager (1.3.26) stable; urgency=medium

  * UFS适配

 -- guonafu <guonafu@uniontech.com>  Wed, 04 Jan 2023 09:58:43 +0800
