=== debian/changelog ===
deepin-diskmanager (1.4.1) unstable; urgency=medium

  * new tag v1.4.1

 -- wangrong <wangrong@uniontech.com>  Fri, 08 Nov 2024 14:53:09 +0800

deepin-diskmanager (1.3.39) unstable; urgency=medium

  * adapt disk interface.

 -- wangrong <wangrong@uniontech.com>  Thu, 17 Oct 2024 19:47:11 +0800

deepin-diskmanager (1.3.38) unstable; urgency=medium

  * add polkit support.
  * fix command injection.

 -- wangrong <wangrong@uniontech.com>  Tue, 10 Sep 2024 09:17:08 +0800
