=== debian/changelog ===
deepin-diskmanager (6.0.3) unstable; urgency=medium

  * new tag v6.0.3

 -- Wang Yu <wangyu@uniontch.com>  Fri, 28 Mar 2025 09:04:53 +0800

deepin-diskmanager (6.0.2) unstable; urgency=medium

  * new tag v6.0.2
  * fix get device info fail when init.

 -- wangrong <wangrong@uniontech.com>  Tue, 18 Mar 2025 14:21:23 +0800

deepin-diskmanager (6.0.1) unstable; urgency=medium

  * new tag v6.0.1

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 20 Jan 2025 13:18:36 +0800

deepin-diskmanager (1.4.2) unstable; urgency=medium

  * new tag v1.4.2

 -- re2zero <yangwu@uniontech.com>  Sat, 14 Dec 2024 05:07:29 +0800
