=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export QT_SELECT=qt5
+export QT_SELECT=5
 
 include /usr/share/dpkg/default.mk
 
@@ -15,4 +15,5 @@
 override_dh_auto_test:
 	# Disable auto tests at build time
 
-
+override_dh_installsystemd:
+	# Disable diskmanager-daemon.service auto-start
