=== debian/changelog ===
deepin-diskmanager (6.0.8) unstable; urgency=medium

  * chore: New version 6.0.8.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 27 Jun 2025 18:00:37 +0800

deepin-diskmanager (6.0.7) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Mon, 23 Jun 2025 15:51:43 +0800

deepin-diskmanager (6.0.6) unstable; urgency=medium

  * chore: New version 6.0.6.

 -- xiepengfei <xiepengfei@uniontech.com>  Mon, 23 Jun 2025 12:10:27 +0800

deepin-diskmanager (6.0.5) unstable; urgency=medium

  * chore: Update CMake configuration for improved security and threading support (#146)

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Sat, 21 Jun 2025 11:15:16 +0800

deepin-diskmanager (6.0.4) unstable; urgency=medium

  * chore: Update deepin-manual resources

 -- dengzhongyuan <dengzhongyuan@uniontech.com>  Fri, 20 Jun 2025 18:22:55 +0800
