=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 # 设置测试程序名字
 set(PROJECT_NAME_TEST
     ${PROJECT_NAME}_test)
